<?php
/**
 * 每分钟执行一次
 */
if (substr(PHP_SAPI_NAME(), 0, 3) !== 'cli') {
    die("The program runs only in CLI mode!");
}
$timestamp = time();
$sid =$lid =1;
include_once dirname(__FILE__) . "/crontab.inc.php";
include_once dirname(__FILE__) . "/../com.php";
require_once dirname(__FILE__) . '/../vendor/autoload.php';

set_time_limit(0);
// G(小时，24 小时格式，没有前导零，0 到 23), i(有前导零的分钟数，00 到 59>)
$time   = date('Gi', $timestamp);
$day    = date("j", $timestamp); // 月份中的第几天，没有前导零(1到31)
$week   = date('w', $timestamp);//星期中的星期几 周日是0 周一是1 依次排下去
$minute = date('i', $timestamp);
define('CURRENT_TIMESTAMP', $timestamp);

/** 定时刷备用池入主池*/
//oo::commonOprModel('steal')->cronToJoinQueue();

/** 攻击对象刷入 */
//oo::commonOprModel('member')->refreshIntoAttackWaitList();
//oo::commonOprModel('attack')->TaskToJoinQueue();
/**全服-停服公告推送**/
//oo::commonOprModel('notice')->cronToSendNotice(1,0,0);

##锦标赛结算推送
oo::commonOprModel('activitynew')->cronToCheckRankReward($timestamp);

if(oo::commonOprRedis('statistics')->exists(okeys::longTimeTask())){
    oo::commonOprRedis('statistics')->delete(okeys::longTimeTask());
}

/** 满体力推送 ****/
if($time%5 == 0){
    //oo::commonOprModel('Workerman')->spinsFull();
   // oo::commonOprModel('push')->CrontabPush();
}

/** 最大等级修改推送*/
if($minute%10 == 0){
//    oo::commonOprModel('push')->updateCurMaxLevel();
}

/*****客户端日记创表 防止002分的时候执行失败 每半个小时检测一次 Start*****/
if($time%30 == 0){
    oo::commonOprModel('report')->clientlog();
}

/*****api请求日志 失败成功的api都记录 每半个小时检测一次 Start*****/
if($time%30 == 0){
//    oo::commonOprModel('statistics')->apiRequestToDb();
}

/*****客户端日记创表 End*****/

/********一小时定时 Start *********/
if($minute%60 == 0){
//    oo::commonOprModel('activitynew')->RankRobotAddNum(); // 排行榜机器人
}

if( $time == '000'){
    /**
     * 删除过期消息
     */
    oo::commonOprModel('Message')->delMessgae();
//    oo::commonOprRedis('common')->incrBy(okeys::RobotAttackedNum(),800); // 重置每天机器人被攻击次数
    oo::commonOprRedis('common')->delete([ //优先删除
        okeys::LoginMonitor(1),     //登录监控
        okeys::LoginMonitor(2),     //登录监控
    ]);
    oo::commonOprRedis('common')->hIncrBy(okeys::LoginMonitor(1), 0, 1);
    oo::commonOprRedis('common')->delete([
        okeys::friendGiftMax(1),     // 重置每天金币礼物上限
        okeys::friendGiftMax(2),     // 重置每天体力礼物上限
        okeys::friendGiftMaxTimes(1),// 重置每天金币礼物次数上限
        okeys::friendGiftMaxTimes(2),// 重置每天体力礼物次数上限
//        okeys::chatMaxNum(),             // 重置每天聊天限制
//        okeys::fbTurnCount(),            // 重置每天FB轉盤限制
//        okeys::taskProgress(),           // 重置每天任务进度奖励
//        okeys::chatGitfMaxNum(),         // 重置每天聊天礼物数量限制
        okeys::vipTurnTable(),           // 重置每天VIP转盘
        okeys::vipTurnTable(601),  // 重置每天VIP转盘
        okeys::vipTurnTable(602),  // 重置每天VIP转盘
        okeys::vipTurnTable(603),  // 重置每天VIP转盘
        okeys::userSlotNum(),            // 重置每天老虎机次数(2021.10.25-wsc-写入已停止,之后可删除)
        okeys::specialOffer(),           // 重置每天限时特惠
        okeys::LoginUser(),              // 重置每天登陆成就
//        okeys::ActivityRankProgress("DAY"),
        okeys::AttackedFreeReBuild(),    //攻击免费修复次数(2021.10.25-wsc-写入已停止,之后可删除)
        okeys::MiningGame(),             //矿工小游戏次数(2021.10.25-wsc-写入已停止,之后可删除)
//        okeys::UserDailyAttackedNum(),    //每天被攻击次数
        okeys::PolymerizationCount(),    //聚合广告次数
//        okeys::UserDailyAttackedTime()   //每日攻击累积保护时间
    ]);

//    oo::commonOprModel('activitynew')->delUserTrafficPermitTaskNum();

    //删除支付加倍转盘次数
    foreach(['0','4.99','9.99','19.99','49.99','99.99'] as $price){
        foreach(['0','500','1000','5000','10000','50000','100000'] as $point){
            oo::commonOprRedis('common')->delete(okeys::TurnPaybetNum($price,$point));
        }
    }
    //oo::commonOprModel('push')->vipPush();
}

//数数事件-昨日产销
if($time=='001'){
//    oo::commonOprModel('ta')->cronToSendUserDayData();

    // 昨日开宝箱卡片流水星级统计 $type 1 spin 2 fox
//    $types = [1, 2];
//    foreach ($types as $type){
//        oo::commonOprModel('recordonline')->cardAssertSummary($timestamp, $type);
//    }
}

if ( $time == '001') {
//    oo::commonOprModel('statistics')->dayRank();

    //活动统计（收集，偷打，排行榜进度，排行榜排名）每天0点出一次统计结果。
//    oo::commonOprModel('activity')->refreshActivity(2,false);
//    oo::commonOprModel('activity')->refreshActivity(6,false);
//    oo::commonOprModel('activity')->refreshActivity(13,false);
}

if($time == '002'){
//    oo::commonOprModel('report')->clientlog();
}
if($time == '003'){
    //活动进度支付统计
//    oo::commonOprModel('statistics')->activityProgresPaySta();
    //宝藏探索产出消耗统计
    //oo::commonOprModel('statistics')->saveTreasureRewardSta();
}
if($time == '004') {
//    //新手当天卡片发放数量统计 保存到数据库
//    oo::commonOprModel('statistics')->saveNewUserCardSta();
//    oo::commonOprModel('statistics')->steelSafeSta();//保险柜统计
}
if($time == '007') {
    //oo::commonOprModel('statistics')->userPushStatusSta();//统计是否开启推送
}
if($time == '008'){
    oo::commonOprModel('statistics')->loginTime();
}



//退款订单记录更新
if( $time == '035' ) {
//    oo::commonOprModel('refundgoogle')->dealRefundOrders(date('Ymd', strtotime('-1 days', $timestamp)));
}



/** 统计昨日新增 */
if( $time == '120' ){
    //oo::commonOprModel('statistics')->newPlayertoDb();
}

/** 统计昨日登陆 */
if( $time == '125' ){
    //oo::commonOprModel('statistics')->loginPlayertoDb();
}

/******自动早报统计*******/
if ( $time == '130') {
    oo::commonOprModel('statistics')->reportToDB();
}
if( $time == '140' ){
    //oo::commonOprModel('statistics')->expireloginPlayer();
}
/******流失玩家*******/
if ( $time == '205') {
//    oo::commonOprModel('lose')->getYesterdayLoseUser();(2021.10.25-wsc-停用)
}

/******7日流失玩家*******/
if ( $time == '210') {
//    oo::commonOprModel('lose')->getSevendayLoseUser();(2021.10.25-wsc-停用)
}

///******统计LTV *******/
//if ( $time == '233') {
//    oo::commonOprModel('statistics')->updateLTV(1);//所有
//}
//if ( $time == '235') {
//    oo::commonOprModel('statistics')->updateLTV(2);//安卓
//}
//if ( $time == '237') {
//    oo::commonOprModel('statistics')->updateLTV(3);//ios
//}

/******统计付费用户留存 *******/
if ( $time == '243') {
//    oo::commonOprModel('statistics')->updatePayRemain(1);//所有(2021.10.25-wsc-停用)
}
if ( $time == '245') {
//    oo::commonOprModel('statistics')->updatePayRemain(2);//安卓(2021.10.25-wsc-停用)
}
if ( $time == '247') {
//    oo::commonOprModel('statistics')->updatePayRemain(3);//ios((2021.10.25-wsc-停用)
}

/******留存统计*******/
if ( $time == '315') {
    oo::commonOprModel('remain')->recordData();
}

//召回好友firebase推送
if($time == '1132') {
    //oo::commonOprModel('recall')->firebasePush();
}

///******矿工进度*******/
//if ( $time == '2330') {
//	//矿工进度
//	oo::commonOprModel('statistics')->saveMinerSpeedSta();
//}

/****** 系统补偿领取率 & 更新公告领取率*******/
if ( $time == '2335') {
//	oo::commonOprModel('statistics')->saveRewardCenterSta();//系统补偿领取率 & 更新公告领取率
}


if ( $time == '2352') {
    //oo::commonOprModel('statistics')->InviteSta($timestamp);
}

/******获取RichestKing统计*******/
if ( $time == '2353') {
    //取消该统计
	//oo::commonOprModel('statistics')->saveGetRichestKingSta();
	//签到领取率统计
//	oo::commonOprModel('statistics')->saveSignInSta();(2021.10.25-wsc-停用)
	//聊天的人均金币体力领取次数统计,取消该统计
	//oo::commonOprModel('statistics')->saveChatGiftSta();
	//转盘参与率
//	oo::commonOprModel('statistics')->saveTurnTableInSta();(2021.10.25-wsc-写入已停止,之后可删除)
	//付费关卡分析,取消该统计
	//oo::commonOprModel('statistics')->saveLevelPaySta(1);
}

/******率统计*******/
if ( $time == '2354') {
//    oo::commonOprModel('statistics')->BaseDataSta($timestamp);
//    oo::commonOprModel('statistics')->versionSta($timestamp);
//    oo::commonOprModel('statistics')->saveTodayVipOpenSta($timestamp);	//每日VIP开通人数统计
}

/******率统计*******/
if ( $time == '2356') {
//    oo::commonOprModel('statistics')->newLost();(2021.10.25-wsc-停用)
//    oo::commonOprModel('statistics')->levelLost();(2021.10.25-wsc-停用)
//    oo::commonOprModel('statistics')->levelThrough();(2021.10.25-wsc-停用)
}

if ( $time == '2357'){
	//每日体力金币发放消耗关卡统计 保存到数据库
//    oo::commonOprModel('statistics')->todaySpinsMoneyLevelSta();(2021.10.25-wsc-停用)

	//打偷排行榜统计 & 摇奖次数排行榜 保存到数据库
   // oo::commonOprModel('statistics')->attackStealRankSta();//(2021.10.25-wsc-写入已停止,之后可删除)
}

/******统计财产 Start*******/
if ( $time == '2358') {
	//每日分享统计 保存到数据库
    oo::commonOprModel('statistics')->todayShareStatistics($timestamp);
	//每日打偷统计 保存到数据库
//    oo::commonOprModel('statistics')->todayAttackStealSta();(2021.10.25-wsc-停用)
	//每日建筑记录统计 保存到数据库
    //oo::commonOprModel('statistics')->saveTodayBuildSta();//(2021.10.25-wsc-写入已停止,之后可删除)
	//游客转FB数量统计 保存到数据库
    //oo::commonOprModel('statistics')->saveVisitorToFbSta($timestamp);
	//赠送情况统计 保存到数据库
    //oo::commonOprModel('statistics')->saveGivesSta();//(2021.10.25-wsc-写入已停止,之后可删除)
	//赠送卡片排行榜 保存到数据库,取消统计
    //oo::commonOprModel('statistics')->saveGiveCardSta();
	////金矿领取率 保存到数据库,取消统计
    //oo::commonOprModel('statistics')->saveMiningReceiveSta();
	//卡片来源统计 保存到数据库
    //oo::commonOprModel('statistics')->saveCardSourceSta($timestamp);
	//在线玩家数量 保存到数据库
    //oo::commonOprModel('statistics')->saveOnlinePlaying($timestamp);
	//登录监控 保存到数据库
    oo::commonOprModel('statistics')->saveLoginMonitorSta($timestamp);
}

if ( $time == '2355') {
	//oo::commonOprModel('statistics')->saveNewPayGoodsSta($timestamp);//新增用户付费情况 保存到数据库
    //oo::commonOprModel('statistics')->saveSpinsAddRank();//体力发放排行榜 付费 & 非付费 保存到数据库(2021.10.25-wsc-停用)
}

if ( $time == '2358') {
    //oo::commonOprModel('statistics')->trafficPermitSta($timestamp);//通信证统计
    //oo::commonOprModel('statistics')->miningGameSta();//矿工统计(2021.10.25-wsc-写入已停止,之后可删除)
}

if ( $time == '2359') {
	//付费用户排行榜 保存到数据库
	oo::commonOprModel('statistics')->savePayUserRankSta($timestamp);
	//升级速率排行榜（日）
    //oo::commonOprModel('statistics')->saveLevelRateRankDay();(2021.10.25-wsc-停用)
}


die('end');
